| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_MIDI_Device_t Struct Reference
MIDI Class Device Mode Driver

## Detailed Description

MIDI Class Device Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made for each MIDI interface within the user application, and passed to each of the MIDI class driver functions as the `MIDIInterfaceInfo` parameter. This stores each MIDI interface's configuration and state information.

Definition at line 72 of file MIDIClassDevice.h.

`#include "MIDIClassDevice.h"`

## Data Fields
struct {
uint8_t StreamingInterfaceNumber
uint8_t DataINEndpointNumber
uint16_t DataINEndpointSize
bool DataINEndpointDoubleBank
uint8_t DataOUTEndpointNumber
uint16_t DataOUTEndpointSize
bool DataOUTEndpointDoubleBank
uint8_t PortNumber
} | Config

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

bool DataINEndpointDoubleBank

Indicates if the MIDI interface's IN data endpoint should use double banking.

Definition at line 78 of file MIDIClassDevice.h.

uint8_t DataINEndpointNumber

Endpoint number of the incoming MIDI IN data, if available (zero if unused).

Definition at line 76 of file MIDIClassDevice.h.

uint16_t DataINEndpointSize

Size in bytes of the incoming MIDI IN data endpoint, if available (zero if unused).

Definition at line 77 of file MIDIClassDevice.h.

bool DataOUTEndpointDoubleBank

Indicates if the MIDI interface's OUT data endpoint should use double banking.

Definition at line 82 of file MIDIClassDevice.h.

uint8_t DataOUTEndpointNumber

Endpoint number of the outgoing MIDI OUT data, if available (zero if unused).

Definition at line 80 of file MIDIClassDevice.h.

uint16_t DataOUTEndpointSize

Size in bytes of the outgoing MIDI OUT data endpoint, if available (zero if unused).

Definition at line 81 of file MIDIClassDevice.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 83 of file MIDIClassDevice.h.

uint8_t StreamingInterfaceNumber

Index of the Audio Streaming interface within the device this structure controls.

Definition at line 74 of file MIDIClassDevice.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Device/MIDIClassDevice.h